before_script:
  - curl -L https://unpkg.com/@pnpm/self-installer | node
  - pnpm install

cache:
  paths:
    - node_modules/

stages:
  - lint
  - build

prettier:
  image: node:12
  stage: lint
  script: pnpm run prettify:check

build:
  image: node:12
  stage: build
  script: make build
  artifacts:
    paths:
      - dist/
